Knowledgebase
Warning: Only Helper machines with Vista OS or higher will participate in build execution
Posted by Yoni Davidson on 28 April 2014 01:58 PM

Symptoms:

After upgrading IncrediBuild to version 4.5 or higher, the Build Monitor displays the above warning message.

Reason:

The reason for this warning is that on the Initiator machine you have 4.5 .Net Framework on VS2012 / VS2013. Due to Microsoft limitation, the minimum supported operating systems are Windows 7, Windows Server 2008 SP2 and Windows Server 2008 R2 SP1.
Since the Initiator machine, creates it's virtual environment on every Helper. If the Initiating machine has the .NET Framework 4.5 and one of the Helpers runs Windows XP, this specific Helper will not be able to participate in the build due to above limitation.
The Initiator is not aware of the OS that are involved in the build so thats why, even if there are no Windows XP (or lower) OS machines, the Initiator will still display this warning - just in case.

Solution:

1. In order to disable this warning, simply open Agent Settings -> Build Monitor -> Warnings.
2. Scroll down the list and uncheck the "Only Helper machines with Vista OS or higher will participate in build execution"

(8 vote(s))
This article was helpful
This article was not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments:
Help Desk Software by Kayako xoreax.helpserve.com